きょこみのーと

元六本木でGo書いてました。今はVRでGo書いてます。

Cocos2d-x3.1正式版の対応とAndroidのGradle対応の整理したッ

f:id:kyokomi:20140524142711p:plain

前回の記事「Cocos2d-x3.1rc0でのAndroid gradleビルド対応」から、数時間後に3.1rc0から3.1に進化するという事態。。。( ‘д‘⊂彡☆))Д´) パーン

ついでなので、Gradle周りを整理しながらv3.1対応しました。

Android版のGradle対応は、基本的に前回の記事「Cocos2d-x3.1rc0でのAndroid gradleビルド対応」のやつでOKです。

※↑リンク間違ってたOTL

整理したGradle対応に必要なファイルはgistにあげました

プロジェクト直下

proj.android下とproj.android/jni下

cocos2d/cocos/platform/android/java/build.gradle下

全ソースはこちら

https://github.com/kyokomi/Cocos2dx3.1GradleSample